import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useState } from 'react';
import { Box, NavList } from '@primer/react';
import FileBrowserComponent from './components/FileBrowserComponent';
import CellComponent from './components/CellComponent';
import NotebookComponent from './components/NotebookComponent';
import IPyWidgetsComponent from './components/IPyWidgetsComponent';
const MainTab = (props) => {
    const [nav, setNav] = useState(1);
    return (_jsx(_Fragment, { children: _jsxs(Box, { sx: { display: 'flex' }, children: [_jsx(Box, { children: _jsxs(NavList, { sx: {
                            '> *': {
                                paddingTop: '0px'
                            }
                        }, children: [_jsx(NavList.Item, { "aria-current": nav === 1 ? 'page' : undefined, onClick: e => setNav(1), children: "File Browser" }), _jsx(NavList.Item, { "aria-current": nav === 2 ? 'page' : undefined, onClick: e => setNav(2), children: "Cell" }), _jsx(NavList.Item, { "aria-current": nav === 3 ? 'page' : undefined, onClick: e => setNav(3), children: "Notebook" }), _jsx(NavList.Item, { "aria-current": nav === 4 ? 'page' : undefined, onClick: e => setNav(4), children: "IPyWidgets" })] }) }), _jsxs(Box, { ml: 3, sx: { width: '100%' }, children: [(nav === 1) && _jsx(FileBrowserComponent, {}), (nav === 2) && _jsx(CellComponent, {}), (nav === 3) && _jsx(NotebookComponent, {}), (nav === 4) && _jsx(IPyWidgetsComponent, {})] })] }) }));
};
export default MainTab;
//# sourceMappingURL=ComponentsTab.js.map